ubuntu/+source/network-manager-applet:applied/debian/stretch

Last commit made on 2018-11-10
Get this branch:
git clone -b applied/debian/stretch https://git.launchpad.net/ubuntu/+source/network-manager-applet
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/debian/stretch
Repository:
lp:ubuntu/+source/network-manager-applet

Recent commits

3b1feca... by Michael Biebl on 2018-10-08

Import patches-applied version 1.4.4-1+deb9u1 to applied/debian/stretch

Imported using git-ubuntu import.

Changelog parent: 3c7e6b7d5913e319ee0db9b05579828062c4b39d
Unapplied parent: d540f201c3ff9a0dd13183c70480ccb0e6a3110c

New changelog entries:
  * libnma/pygobject: libnma/NMA must use libnm/NM instead of legacy
    libraries.
    libnma uses libnm, and not libnm-util/libnm-glib. Hence, the python
    bindings must load "NM" and not "NMClient"/"NetworkManager". As it was,
    the generated bindings for libnma were unusable and loading them
    would fail. (Closes: #896818)

d540f20... by Michael Biebl on 2018-10-08

libnma/pygobject: libnma/NMA must use libnm/NM instead of legacy

Gbp-Pq: libnma-pygobject-libnma-NMA-must-use-libnm-NM-instead-of-.patch.

d3e80ab... by Michael Biebl on 2018-10-08

Force online state with unmanaged devices

Gbp-Pq: Force-online-state-with-unmanaged-devices.patch.

5198166... by Michael Biebl on 2018-10-08

Allow to create connections without admin privileges

Gbp-Pq: Allow-to-create-connections-without-admin-privileges.patch.

6c8b336... by Michael Biebl on 2018-10-08

Import patches-unapplied version 1.4.4-1+deb9u1 to debian/stretch

Imported using git-ubuntu import.

Changelog parent: 3b62f3dbcd5d645ba06164432e5a1981fdd2a730

New changelog entries:
  * libnma/pygobject: libnma/NMA must use libnm/NM instead of legacy
    libraries.
    libnma uses libnm, and not libnm-util/libnm-glib. Hence, the python
    bindings must load "NM" and not "NMClient"/"NetworkManager". As it was,
    the generated bindings for libnma were unusable and loading them
    would fail. (Closes: #896818)

3c7e6b7... by Michael Biebl on 2017-01-25

Import patches-applied version 1.4.4-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: e9cdb4608612a9483c971ab6dca73966d514a9ef
Unapplied parent: 052af18282486e301e63d5dcee2d1c0059205a73

New changelog entries:
  * New upstream release.
  * Bump debhelper compat level to 10.
  * Update Vcs-* according to the latest recommendation.
  * Rebase patches.
  * Drop libnma-common and libnm-gtk-common.
    The .ui files and icons are now compiled in using GResource.
  * Bump network-manager related (build-)dependencies to >= 1.6.
    This enables support for editing the Proxy setting which requires
    NetworkManager 1.6 or newer.

3b62f3d... by Michael Biebl on 2017-01-25

Import patches-unapplied version 1.4.4-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: acc57d3b7e593269c865a537454c34ae75c50f9e

New changelog entries:
  * New upstream release.
  * Bump debhelper compat level to 10.
  * Update Vcs-* according to the latest recommendation.
  * Rebase patches.
  * Drop libnma-common and libnm-gtk-common.
    The .ui files and icons are now compiled in using GResource.
  * Bump network-manager related (build-)dependencies to >= 1.6.
    This enables support for editing the Proxy setting which requires
    NetworkManager 1.6 or newer.

052af18... by Michael Biebl on 2017-01-25

Force online state with unmanaged devices

Gbp-Pq: Force-online-state-with-unmanaged-devices.patch.

774521e... by Michael Biebl on 2017-01-25

Allow to create connections without admin privileges

Gbp-Pq: Allow-to-create-connections-without-admin-privileges.patch.

e9cdb46... by Michael Biebl on 2016-10-04

Import patches-applied version 1.4.2-1 to applied/debian/sid

Imported using git-ubuntu import.

Changelog parent: f3343a0a27b37bb41d81b0380c6e432ad2cc5419
Unapplied parent: 82769f6d28cc5debf3fd68e2af3531a32e8f1d19

New changelog entries:
  * New upstream release.
  * Drop override for dh_auto_test. We don't explicitly need to dump the log
    files as dh_auto_test runs with VERBOSE=1 by default.